Subject: Re: bug#49994: upgrade: have "-s" of 'ls' display alloc'd sizes for specified "--block-size"

From: L A Walsh <[email-masked]>
Date: Fri, 20 Aug 2021 10:40:02 -0700

On 2021/08/20 08:08, Paul Eggert wrote:
> On 8/20/21 12:02 AM, L A Walsh wrote:
> 
>> When I use "-b" in du (equivalent to '--apparent-size --block-size=1)
> 
> Previously in this thread you asked for "allocated space for a file on a 
> device", which is why I was talking about that number.
---
	No, I wanted space that "would" be allocated on a device if the 
device allocated size in bytes -- which is what 'du' does.

	I even said I wanted the output of ls's block-size output to be
enhanced to pay attention to what users specify via that parameter.
I wanted a simple multi-column output like 'ls' provides.  

	I wanted it just to work -- not require a program or figuring it out
but just have it be user-friendly -- something the tools designed by gnu
definitely are not.